<%- include('partials/header'); -%>

<h1>Compradores</h1>
<div class="container">
    <div class="row">
        <div class="col-md-7">
            <table class="table">
                <thead>
                  <tr>
                    <th scope="col">#</th>
                    <th scope="col">Paterno</th>
                    <th scope="col">Materno</th>
                    <th scope="col">Nombre</th>
                    <th scope="col">Accion</th>
                  </tr>
                </thead>
                <tbody>
                    <% if(data){%>
                        <% for(var i=0; i< data.length; i++){%>
                            <tr>
                                <td><%= (i+1) %></td>
                                <td><%= data[i].paterno %></td>
                                <td><%= data[i].materno %></td>
                                <td><%= data[i].nombre %></td>
                                <td>
                                    <a href="/eliminar/<%= data[i].id %>" class="btn btn-danger">Eliminar</a>
                                    <a href="/actualizar/<%= data[i].id %>" class="btn btn-info">Modificar</a><br><br>
                                    <center><a href="/mostrar/<%= data[i].id %>" class="btn btn-secondary">Mostrar Datos</a></center>
                                </td>
                            </tr>
                        <%}%>
                    <%}%>
                </tbody>
              </table>
        </div>
        <div class="col-md-5">
            <form  action="/agregar" method="post">
                <div class="form-group">
                    <label for="nom">Nombre:</label>
                    <input type="text" name="nombre" id="nombre" placeholder="Ingrese el Nombre" class="form-control">
                </div>
                <div class="form-group">
                    <label for="pat">Apellido Paterno:</label>
                    <input type="text" name="paterno" id="paterno" placeholder="Ingrese el Apellido Paterno" class="form-control">
                </div>
                <div class="form-group">
                    <label for="mat">Apellido Materno:</label>
                    <input type="text" name="materno" id="materno" placeholder="Ingrese el Apellido Materno" class="form-control">
                </div>
                <div class="form-group">
                    <label for="sex">Sexo:</label>
                    <select class="form-control" name="sexo">
                        <optgroup>
                            <option value="" name="" selected>--SELECCIONE--</option>
                            <option value="M" name="M">Hombre</option>
                            <option value="F" name="F">Mujer</option>
                        </optgroup>
                    </select>
                </div>
                <div class="form-group">
                    <label for="edad">Edad:</label>
                    <input type="number" name="edad" id="edad" placeholder="Ingrese su Edad" class="form-control">
                </div>
                <div class="form-group">
                    <label for="tele">Telefono:</label>
                    <input type="text" name="telefono" id="telefono" placeholder="Ingrese su Numero Telefonico" class="form-control">
                </div>
                <div class="form-group">
                    <label for="nom">Calle:</label>
                    <input type="text" name="calle" id="calle" placeholder="Ingrese el Nombre de la calle" class="form-control">
                </div>
                <div class="col">
                    <div class="form-group">
                        <div class="input-group">
                            <label for="noE">No. Ext: </label>
                            <input type="text" name="noExt" id="noExt" placeholder="NoExt" class="form-control">
                            <label for="noI">No. Int: </label>
                            <input type="text" name="NoInt" id="NoInt" placeholder="NoInt" class="form-control">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label for="ori">Orientacion de la casa:</label>
                    <select class="form-control" name="orientacion">
                        <optgroup>
                            <option value="" name="">--SELECCIONE--</option>
                            <option value="Norte" name="Norte">Norte</option>
                            <option value="Poniente" name="Poniente">Poniente</option>
                            <option value="Oriente" name="Oriente">Oriente</option>
                            <option value="Sur" name="Sur">Sur</option>
                            <option value="Desconocido" value="Desconocido">Desconocido</option>
                        </optgroup>
                    </select>
                </div>
                <br>
                <button type="submit" class="btn btn-primary">Guardar Comprador</button>
            </form>
        </div>
    </div>
</div>

<%- include('partials/footer'); -%>